Reply to topic

Amarok Qt5 in KDE neon

User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Amarok Qt5 in KDE neon

Sat Jun 27, 2020 4:39 pm
Hello,

I have found this ppa for Kubuntu, so I suppose it works pour KDE neon too: https://launchpad.net/~pgomes/+archive/ubuntu/amarok

I follow the instruction to add the ppa, and update, but discover install not the right version. Instead of having the 2.9.70, I get the old 2.9.0 in Qt4
Image

Have is the paquets and dependencies:
Code: Select all
apt-cache show amarok     
Package: amarok
Architecture: amd64
Version: 2:2.9.0-0ubuntu2
Priority: optional
Section: universe/kde
Origin: Ubuntu
Maintainer: Kubuntu Developers <[email protected]>
Original-Maintainer: Debian KDE Extras Team <[email protected]>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 40040
Depends: amarok-common (= 2:2.9.0-0ubuntu2), amarok-utils (= 2:2.9.0-0ubuntu2), libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-sql, libqtscript4-uitools, libqtscript4-xml, kde-runtime (>> 4:4.10), libaio1 (>= 0.3.93), libavcodec57 (>= 7:3.4.2) | libavcodec-extra57 (>= 7:3.4.2), libavformat57 (>= 7:3.4.2), libavutil55 (>= 7:3.4.2), libc6 (>= 2.14), libgcc1 (>= 1:4.0), libgdk-pixbuf2.0-0 (>= 2.22.0), libgl1, libglib2.0-0 (>= 2.12.0), libgpod4 (>= 0.7.92), libkcmutils4 (>= 4:4.7), libkdecore5 (>= 4:4.7), libkdeui5 (>= 4:4.9.98), libkdewebkit5 (>= 4:4.7), libkdnssd4 (>= 4:4.7), libkfile4 (>= 4:4.7), libkio5 (>= 4:4.7), libknewstuff3-4 (>= 4:4.7), libktexteditor4 (>= 4:4.7), liblastfm1 (>= 1.0.0), liblz4-1 (>= 0.0~r130), libmtp9 (>= 1.1.0), libmygpo-qt1 (>= 1.0.2), libmysqlclient20 (>= 5.7.11), libnuma1 (>= 2.0.11), libofa0 (>= 0.9.3), libphonon4 (>= 4:4.7.0.0), libplasma3 (>= 4:4.7), libqca2 (>= 2.0.2), libqjson0 (>= 0.7.1), libqt4-dbus (>= 4:4.6.1), libqt4-network (>= 4:4.5.3), libqt4-opengl (>= 4:4.5.3), libqt4-script (>= 4:4.5.3), libqt4-scripttools (>= 4:4.5.3), libqt4-sql (>= 4:4.5.3), libqt4-svg (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.8.0), libqtgui4 (>= 4:4.8.0), libqtwebkit4, libsolid4 (>= 4:4.7.0), libstdc++6 (>= 5.2), libtag-extras1 (>= 1.0.1), libtag1v5 (>= 1.9.1-2.2~), libthreadweaver4 (>= 4:4.7), libx11-6, phonon, zlib1g (>= 1:1.2.0)
Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-info
Suggests: amarok-doc (>= 2:2.9.0-0ubuntu2), libqt4-sql-mysql, libqt4-sql-psql, libqt4-sql-sqlite, moodbar
Filename: pool/universe/a/amarok/amarok_2.9.0-0ubuntu2_amd64.deb
Size: 9057704
MD5sum: 8367a9fd80fbb980edb086a551d962cf
SHA1: 960ef2317c5a50da4a0b721078c915cffecceebf
SHA256: bd64a0b11a2f141c5ed769a6055f0eb0123c944f3897ab3a79385aacfaa62d4e
Homepage: http://amarok.kde.org
Description: easy to use media player based on the KDE Platform
Description-md5: 8cb0abbd7a36a44af04429c5df99b014
Supported: 3y

Package: amarok
Priority: optional
Section: sound
Installed-Size: 30143
Maintainer: Pedro de Carvalho Gomes <[email protected]>
Architecture: amd64
Version: 2.9.70+1SNAPSHOT20200623170346+0200-0ubuntu1ppa1~ubuntu18.04.1
Depends: kio, kpackagetool5, libavcodec57 (>= 7:3.4.6) | libavcodec-extra57 (>= 7:3.4.6), libavformat57 (>= 7:3.4.6), libavutil55 (>= 7:3.4.6), libc6 (>= 2.14), libfftw3-double3 (>= 3.3.5), libkf5archive5 (>= 4.96.0), libkf5attica5 (>= 4.98.0), libkf5codecs5 (>= 5.4.0+git20141120.0010+15.04), libkf5completion5 (>= 4.97.0), libkf5configcore5 (>= 5.24.0), libkf5configgui5 (>= 4.97.0), libkf5configwidgets5 (>= 5.23.0), libkf5coreaddons5 (>= 5.19.0), libkf5crash5 (>= 5.15.0), libkf5dbusaddons5 (>= 4.99.0), libkf5declarative5 (>= 4.96.0), libkf5dnssd5 (>= 4.96.0), libkf5globalaccel5 (>= 5.0.0), libkf5guiaddons5 (>= 4.96.0), libkf5i18n5 (>= 4.97.0), libkf5iconthemes5 (>= 5.25.0), libkf5itemviews5 (>= 4.96.0), libkf5kcmutils5 (>= 4.96.0), libkf5kiocore5 (>= 5.44.0), libkf5kiofilewidgets5 (>= 4.96.0), libkf5kiowidgets5 (>= 5.31.0), libkf5newstuff5 (>= 5.27.0), libkf5notifications5 (>= 4.96.0), libkf5package5 (>= 5.42.0), libkf5quickaddons5 (>= 5.3.0+git20141016.0334), libkf5service-bin, libkf5service5 (>= 5.4.0+git20141113.1055+15.04), libkf5solid5 (>= 4.97.0), libkf5texteditor5, libkf5textwidgets5 (>= 4.96.0), libkf5threadweaver5 (>= 4.98.0), libkf5wallet-bin, libkf5wallet5 (>= 4.96.0), libkf5widgetsaddons5 (>= 5.39.0), libkf5windowsystem5 (>= 4.96.0), libkf5xmlgui-bin, libkf5xmlgui5 (>= 4.98.0), liblastfm5-1 (>= 1.0.7), libmariadbclient18 (>= 10.1.28), libmariadbd18, libmtp9 (>= 1.1.0), libofa0 (>= 0.9.3), libphonon4qt5-4 (>= 4:4.8.0), libqt5core5a (>= 5.9.0~beta), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.8.0), libqt5network5 (>= 5.9.0~beta), libqt5qml5 (>= 5.0.2), libqt5quick5 (>= 5.6.1), libqt5quickwidgets5 (>= 5.9.0~beta), libqt5script5 (>= 5.6.0~beta), libqt5scripttools5 (>= 5.6.0~beta), libqt5sql5 (>= 5.0.2), libqt5svg5 (>= 5.6.0~beta), libqt5webengine5 (>= 5.7.1), libqt5widgets5 (>= 5.7.0), libqt5xml5 (>= 5.0.2), libstdc++6 (>= 6), libtag-extras1 (>= 1.0.1), libtag1v5 (>= 1.9.1-2.2~), phonon4qt5, qtdeclarative-abi-5-9-5
Filename: pool/main/a/amarok/amarok_2.9.70+1SNAPSHOT20200623170346+0200-0ubuntu1ppa1~ubuntu18.04.1_amd64.deb
Size: 16883632
MD5sum: c94a7818e5307c054c9d613f694ecb2b
SHA1: 992a4c274e4851473a2110b00c32a52b9b1714c2
SHA256: 7843d894038b46908a643f82d1d038b868cb291447c51b13926d2530f19966ca
Description: Amarok for KDE5
Description-md5: 792a12156c7447bf4722871be4252724

So I have done a remove --purge for the Amarok old one and enter a :
Code: Select all
sudo pkcon refresh && sudo pkcon update ; flatpak update ; sudo snap refresh


Discover propose me only this version:
Image

How can I solve this dependancies problem and install Amarok in Qt5?
The best, I suppose, should to have a flatpak instead a ppa.

Thanks for a solution.
User avatar Mamarok
Manager
Posts
4939
Karma
13
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 9:15 am
Which exact Neon version do you use? As long as it is based on Ubuntu 18.04 you will get the old package...


Currently running Kubuntu 20.10 beta, Plasma 5.19.5, Frameworks 5.74.0, Qt 5.14.2, kernel 5.8.0-19
FWIW: it is always useful to state the exact Plasma version and distribution when asking questions in this forum, makes it easier for us to help ...
User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 9:50 am
Hello Mamarok

Thank you for your respons. I have contact Pedro de Carvalho Gomes, the package maintainer of this ppa, and he will consider the request and propose a deb that should install without dependency problems. Many thanks to him too, because Amarok is one of the best KDE Plasma programs, at least in my opinion :)

Guten Appetit ;)
User avatar Mamarok
Manager
Posts
4939
Karma
13
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 10:27 am
The package has no dependency problems, you just need a newer Neon for it to work. Makes little sense to backport this to an old Ubuntu base...


Currently running Kubuntu 20.10 beta, Plasma 5.19.5, Frameworks 5.74.0, Qt 5.14.2, kernel 5.8.0-19
FWIW: it is always useful to state the exact Plasma version and distribution when asking questions in this forum, makes it easier for us to help ...
User avatar boospy007
Registered Member
Posts
152
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 10:37 pm
Amarok is death. Use https://www.strawberrymusicplayer.org or Clementine, or Elisa.
User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 10:52 pm
boospy007 wrote:Use https://www.strawberrymusicplayer.org or Clementine, or Elisa.

No thanks :<
User avatar boospy007
Registered Member
Posts
152
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 10:58 pm
patriceg wrote:
boospy007 wrote:Use https://www.strawberrymusicplayer.org or Clementine, or Elisa.

No thanks :<


May I ask you what you think of Amarok? I used Amarok myself for many years. Only now I want to have players that really work. Don't you want that too?
User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 11:03 pm
boospy007 wrote:
patriceg wrote:
boospy007 wrote:Use https://www.strawberrymusicplayer.org or Clementine, or Elisa.

No thanks :<


May I ask you what you think of Amarok? I used Amarok myself for many years. Only now I want to have players that really work. Don't you want that too?

I use Amarok 2.8.0 on Windows. It works perfectly.

But now I want to use my multi-boot and work in KDE neon. So I want to use my discotheque with all my statistics.

So I can wait to have Amarok in QT5.
User avatar boospy007
Registered Member
Posts
152
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 11:07 pm
That i can understand, maybe the time comes that amarok work again fine.
User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Mon Jun 29, 2020 11:12 pm
boospy007 wrote:That i can understand, maybe the time comes that amarok work again fine.

I hope so.

I had try the alternatives you list, but I haven't found that level of functionality present in Amarok.

I can wait until KDE neon pass to Ubuntu 20.04, or I can imagine to return to Kubuntu too, only for have Amarok.
jmacleod
Registered Member
Posts
38
Karma
0

Re: Amarok Qt5 in KDE neon

Tue Jun 30, 2020 1:45 pm
Neon, based on Ubuntu 20.04.1, should hopefully be out during July - along with the chance to try the new Amarok.
User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Tue Jun 30, 2020 1:59 pm
Nice news, thanks.

But as long as it's under intense development, I think it would be so much better to imagine Amarok as a flatpak or a snap. Once it's 'finished', it could be back on the deb. At least that's my opinion at the moment ^^

The ppa's maintainer only knows how to make deb. Maybe someone could help him through it? I wouldn't be able to help him, though.
tarbos
Registered Member
Posts
5
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Tue Sep 15, 2020 9:47 am
ok... i made a quick and dirty amarok for neon package and uploaded it here https://aguzinski.de/BWPubq6/amarok_20200915-1_amd64.deb if anyone is interested.

so far it works for me, but note that i mean quick and dirty - more specific:
1. there is no dependency info - you have to take care of dependencies yourself
2. no embedded sql (at least not working for me) - you have to install and set up mariadb-server or mysql-server and add a user (as described here: https://stackoverflow.com/questions/39281594/error-1698-28000-access-denied-for-user-rootlocalhost)
3. i had to remove an assert call that does something with qml plugin checking... it seems to work, but may have side effects - use at your own risk!

As for alternatives... a few months ago i tried 15 or so different music players. basically everything i could get running and where the description did not clearly say "this is not the player you are looking for" - now i don't have a complete ranking list.. but:
1. amarok! - despite the flaws that come with stagnating development i have not found anything i like better
2. strawberry - nice and with several features that amarok doesn't have, but:
- no track grouping in the playlist :/
- looks out of place and other issues of not so great kde integration
- global shortcuts not working properly for me (might be related to me using a modified programmer dvorak layout)
- i don't need any of the extra features
3. music on console (moc) - it has the one feature i still totally miss in amarok: decent keyboard navigation
4. clementine - same problems as strawberry; one + for it: can act as a mpd frontend
...
last: elisa... seriously.. i get that people have different ways to use software and this may be right for some... and maybe it's just because of the early development stage... but to me elisa has the worst user interface i have ever seen in any music player! i would rather use a bash script for playing music!
User avatar patriceg
Registered Member
Posts
34
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Tue Sep 15, 2020 9:55 am
@tarbos : if the .deb doesn't include the dependencies, perhaps a flatpak or a Appimage should do the job better? My KDE neon is stable.

I think the same about Elisa. A program that I never use.
tarbos
Registered Member
Posts
5
Karma
0
OS

Re: Amarok Qt5 in KDE neon

Tue Sep 15, 2020 10:36 am
patriceg wrote:@tarbos : if the .deb doesn't include the dependencies, perhaps a flatpak or a Appimage should do the job better? My KDE neon is stable.


Well...
better? probably yes!
but quickly done: ... i'm a little short on open-source-dedication-time right now and learning how to make a flatpak or Appimage will likely take even longer than finding out the exact dependencies and passing them to checkinstall :/

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], carlitosh, Google [Bot], michaelstolz, Sogou [Bot], Yahoo [Bot]